RedCrawler API
Posting V2

Create Crosspost V2

Crosspost an existing post to another subreddit. Requires bearer token.

POST /api/v2/posting/crosspost

Crosspost an existing post to another subreddit. Requires bearer token.

Body parameters

NameTypeRequiredDescription
crosspost_idstringYesSource post — accepts post URL, t3_ID, or raw ID.
subredditstringYesDestination subreddit (name, r/name, or URL).
titlestringYesNew post title (max 300 chars).
nsfwstringNoMark NSFW (true/false).
spoilerstringNoMark spoiler (true/false).
flair_idstringNoFlair template ID.
flair_textstringNoFlair display text.
bodystringNoOptional markdown body.
brand_affiliatestringNoBrand affiliate disclosure (true/false).
proxystringNoProxy ip:port:user:pass. Optional if stored in Token Vault.
bearerstringNoReddit bearer token (token_v2). Optional if stored in Token Vault for your key.

Authentication

HeaderValue
X-RapidAPI-KeyYour RapidAPI key
X-RapidAPI-Hostred-crawler1.p.rapidapi.com

Example request

cURL

curl -X POST "https://red-crawler1.p.rapidapi.com/api/v2/posting/crosspost" \
  -H "X-RapidAPI-Key: YOUR_RAPIDAPI_KEY" \
  -H "X-RapidAPI-Host: red-crawler1.p.rapidapi.com" \
  -H "Content-Type: application/json" \
  --data '{"crosspost_id": "<crosspost_id>", "subreddit": "test", "title": "<title>", "nsfw": "<nsfw>", "spoiler": "<spoiler>", "flair_id": "<flair_id>", "flair_text": "<flair_text>", "body": "<body>", "brand_affiliate": "<brand_affiliate>", "proxy": "<proxy>", "bearer": "<bearer>"}'

JavaScript

const res = await fetch("https://red-crawler1.p.rapidapi.com/api/v2/posting/crosspost", {
  method: "POST",
  headers: {
      "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
    },
    body: JSON.stringify({
  "crosspost_id": "<crosspost_id>",
  "subreddit": "test",
  "title": "<title>",
  "nsfw": "<nsfw>",
  "spoiler": "<spoiler>",
  "flair_id": "<flair_id>",
  "flair_text": "<flair_text>",
  "body": "<body>",
  "brand_affiliate": "<brand_affiliate>",
  "proxy": "<proxy>",
  "bearer": "<bearer>"
})
});
const data = await res.json();
console.log(data);

Python

import requests

url = "https://red-crawler1.p.rapidapi.com/api/v2/posting/crosspost"
headers = {
    "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com",
    "Content-Type": "application/json"
}
payload = {
  "crosspost_id": "<crosspost_id>",
  "subreddit": "test",
  "title": "<title>",
  "nsfw": "<nsfw>",
  "spoiler": "<spoiler>",
  "flair_id": "<flair_id>",
  "flair_text": "<flair_text>",
  "body": "<body>",
  "brand_affiliate": "<brand_affiliate>",
  "proxy": "<proxy>",
  "bearer": "<bearer>"
}
resp = requests.post(url, headers=headers, json=payload)
print(resp.json())

Example response

HTTP 200 — captured from a live call to the gateway.

{
  "success": true,
  "data": {
    "success": true,
    "post": {
      "post": {
        "id": "t3_1sz4jn4",
        "title": "Crosspost test",
        "languageCode": null,
        "isNsfw": false,
        "domain": "v.redd.it",
        "createdAt": "2026-04-29T16:54:18.076000+0000",
        "url": "https://v.redd.it/22tgm7h6o2yg1",
        "authorInfo": {
          "id": "t2_29onm7dc32"
        },
        "subreddit": {
          "id": "t5_hmeujo",
          "name": "RedCrawlerAPI"
        },
        "postEventInfo": null
      },
      "websocketUrl": null,
      "ok": true,
      "errors": null,
      "fieldErrors": null
    }
  },
  "error": null,
  "meta": {
    "vault_expires_at": "2026-04-30T07:47:21.906002+00:00",
    "vault_remaining": "14h 53m"
  },
  "timestamp": "2026-04-29T16:54:18.303707+00:00"
}

On this page